## r-cran-bayesfactor 0.9.12

=== DESCRIPTION ===
Package: BayesFactor
Type: Package
Title: Computation of Bayes Factors for Common Designs
Version: 0.9.12-4.7
Date: 2024-01-23
Authors@R: c(person("Richard D.", "Morey", role = c("aut", "cre", "cph"), email = "richarddmorey@gmail.com"), 
    person("Jeffrey N.", "Rouder", role = "aut", email = "jrouder@uci.edu"), 
    person("Tahira", "Jamil", role = c("ctb","cph"), email = "tahjamil@gmail.com"), 
    person("Simon", "Urbanek", role = c("ctb", "cph"), email = "simon.urbanek@r-project.org"), 
    person("Karl", "Forner", role = c("ctb", "cph"), email = "karl.forner@gmail.com"), 
    person("Alexander", "Ly", role = c("ctb", "cph"), email = "Alexander.Ly.NL@gmail.com"))
Description: A suite of functions for computing
    various Bayes factors for simple designs, including contingency tables,
    one- and two-sample designs, one-way designs, general ANOVA designs, and
    linear regression.
License: GPL-2
VignetteBuilder: knitr
Depends: R (>= 3.2.0), coda, Matrix (>= 1.1-1)
Imports: pbapply, mvtnorm, stringr, utils, graphics, MatrixModels, Rcpp
        (>= 0.11.2), methods, hypergeo
Suggests: doMC, foreach, testthat, knitr, markdown, rmarkdown, arm,
        lme4, xtable, languageR
URL: https://richarddmorey.github.io/BayesFactor/
BugReports: https://github.com/richarddmorey/BayesFactor/issues
LazyLoad: yes
LinkingTo: Rcpp (>= 0.11.2), RcppEigen (>= 0.3.2.2.0)
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-01-23 17:22:16 UTC; saprm3
Author: Richard D. Morey [aut, cre, cph],
  Jeffrey N. Rouder [aut],
  Tahira Jamil [ctb, cph],
  Simon Urbanek [ctb, cph],
  Karl Forner [ctb, cph],
  Alexander Ly [ctb, cph]
Maintainer: Richard D. Morey <richarddmorey@gmail.com>
Repository: CRAN
Date/Publication: 2024-01-24 15:02:50 UTC

## r-cran-bayesfactor 0.9.12-2

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-2-1) unstable; urgency=low

  * Initial release. (Closes: #797820)

 -- Jonathon Love <jon@thon.cc>  Mon, 14 Sep 2015 20:34:32 +0200

=== debian/control ===
Source: r-cran-bayesfactor
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-coda,
               r-cran-matrix,
               r-cran-pbapply,
               r-cran-mvtnorm,
               r-cran-stringr,
               r-cran-gtools,
               r-cran-matrixmodels,
               r-cran-rcpp,
               r-cran-rcppeigen
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-bayesfactor.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-bayesfactor.git
Homepage: http://bayesfactorpcl.r-forge.r-project.org/

Package: r-cran-bayesfactor
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-base,
         r-cran-coda,
         r-cran-matrix,
         r-cran-pbapply,
         r-cran-mvtnorm,
         r-cran-stringr,
         r-cran-gtools,
         r-cran-matrixmodels,
         r-cran-rcpp,
         r-cran-rcppeigen,
         libjs-mathjax
Description: GNU R package providing Bayes factors for t-tests, ANOVAs and contingency tables
 r-cran-bayesfactor is a GNU R package providing a suite of functions for
 computing various Bayes factors for simple designs, including
 contingency tables, one- and two-sample designs, one- way designs,
 general ANOVA designs, and linear regression.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/BayesFactor_([\d\.-]*).tar.gz

## r-cran-bayesfactor 0.9.12-4.2

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-4.2-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:14 +0100

r-cran-bayesfactor (0.9.12-4.2-1build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 18:47:13 +0000

r-cran-bayesfactor (0.9.12-4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 21:15:30 +0200

r-cran-bayesfactor (0.9.12-4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2018 09:18:04 +0200

r-cran-bayesfactor (0.9.12-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4
  * Replace use-local-mathjax quilt patch by patching installed files using
    sed to enable higher flexibility
  * Lintian-override for build-depends-on-1-revision

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2018 11:25:41 +0200

r-cran-bayesfactor (0.9.12-2-3) unstable; urgency=medium

  * Team upload
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11
  * Canonical homepage for CRAN packages
  * Avoid privacy bearch issue with remote image

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 15:59:12 +0100

r-cran-bayesfactor (0.9.12-2-2) unstable; urgency=medium

  * Team upload
  * Add missing Dependency r-cran-testthat for autopkgtest
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 20:54:57 +0200

=== debian/control ===
Source: r-cran-bayesfactor
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-coda,
               r-cran-matrix (>= 1.1-1),
               r-cran-pbapply,
               r-cran-mvtnorm,
               r-cran-stringr,
               r-cran-gtools,
               r-cran-matrixmodels,
               r-cran-rcpp (>= 0.11.2),
               r-cran-hypergeo,
               r-cran-rcppeigen
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor.git
Homepage: https://cran.r-project.org/package=BayesFactor

Package: r-cran-bayesfactor
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Bayes factors for t-tests, ANOVAs and contingency tables
 r-cran-bayesfactor is a GNU R package providing a suite of functions for
 computing various Bayes factors for simple designs, including
 contingency tables, one- and two-sample designs, one- way designs,
 general ANOVA designs, and linear regression.

## r-cran-bayesfactor 0.9.12-4.2+dfsg

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove autogenerated HTML docs since it is including compressed JS
  * No need to patch now removed html pages for privacy reasons

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 14:30:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-coda,
-               r-cran-matrix (>= 1.1-1),
+               r-cran-matrix,
                r-cran-pbapply,
                r-cran-mvtnorm,
                r-cran-stringr,
                r-cran-gtools,
                r-cran-matrixmodels,
-               r-cran-rcpp (>= 0.11.2),
+               r-cran-rcpp,
                r-cran-hypergeo,
                r-cran-rcppeigen
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor.git
 Homepage: https://cran.r-project.org/package=BayesFactor
+Rules-Requires-Root: no
 
 Package: r-cran-bayesfactor
 Architecture: any

## r-cran-bayesfactor 0.9.12-4.3%2Bdfsg

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-4.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 14:16:12 +0100

## r-cran-bayesfactor 0.9.12-4.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-rcpp,
                r-cran-hypergeo,
                r-cran-rcppeigen
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor.git
 Homepage: https://cran.r-project.org/package=BayesFactor

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	# instead of fixing MathJax use by patch (use-local-mathjax) patch files using by sed after installation
	# this prevents the need to adapt the patch when upstream changes the files
	for html in `find debian -name "*.html"` ; do \
	    sed -i 's#\(<script type="text/javascript" src="\)https://cdn\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#\1file:///usr/share/javascript/mathjax/MathJax.js\2#' $${html} ; \
	done

## r-cran-bayesfactor 0.9.12-4.4+dfsg

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-4.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jul 2022 13:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
                r-cran-pbapply,
                r-cran-mvtnorm,
                r-cran-stringr,
-               r-cran-gtools,
                r-cran-matrixmodels,
                r-cran-rcpp,
                r-cran-hypergeo,
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor.git
 Homepage: https://cran.r-project.org/package=BayesFactor

## r-cran-bayesfactor 0.9.12-4.7+dfsg

=== debian/changelog ===
r-cran-bayesfactor (0.9.12-4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 20:50:24 +0100

r-cran-bayesfactor (0.9.12-4.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:46:31 +0100

r-cran-bayesfactor (0.9.12-4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2023 08:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                r-cran-rcpp,
                r-cran-hypergeo,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bayesfactor.git
 Homepage: https://cran.r-project.org/package=BayesFactor

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-domc,
        r-cran-foreach,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-markdown,
        r-cran-rmarkdown,
        r-cran-arm,
        r-cran-lme4,
        r-cran-xtable
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/BayesFactor_([\d\.-]*).tar.gz
